@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
claim.h File Reference
`#include "pico.h"`
`#include "hardware/sync.h"`
Include dependency graph for claim.h:

Go to the source code of this file.

## Functions

void | hw_claim_or_assert (uint8_t *bits, uint bit_index, const char *message)
| Atomically claim a resource, panicking if it is already in use.
int | hw_claim_unused_from_range (uint8_t *bits, bool required, uint bit_lsb, uint bit_msb, const char *message)
| Atomically claim one resource out of a range of resources, optionally asserting if none are free.
bool | hw_is_claimed (const uint8_t *bits, uint bit_index)
| Determine if a resource is claimed at the time of the call.
void | hw_claim_clear (uint8_t *bits, uint bit_index)
| Atomically unclaim a resource.
uint32_t | hw_claim_lock (void)
| Acquire the runtime mutual exclusion lock provided by the hardware_claim library.
void | hw_claim_unlock (uint32_t token)
| Release the runtime mutual exclusion lock provided by the hardware_claim library.